Bug 845004 - strace stops logging a trace
strace stops logging a trace
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: strace (Show other bugs)
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Law
Michael Petlan
Depends On: 559580 706355
Blocks: 922218
  Show dependency treegraph
Reported: 2012-08-01 08:50 EDT by Michal Nowak
Modified: 2014-06-17 23:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: strace-4.7-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 706355
: 922218 (view as bug list)
Last Closed: 2014-06-13 09:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 3 Jeff Law 2013-02-27 16:28:01 EST
I've just backported the code to enable PTRACE_SEIZE which should fix the race conditions related to signal handling of strace'd processes.  My testing indicates that should resolve this issue (the good news).

The bad news, PTRACE_SEIZE doesn't exist in RHEL 5 or RHEL 6 kernels. I'm sorely tempted to close 559580 as WONTFIX given the need for kernel support to make this work properly in RHEL 5/RHEL 6.
Comment 6 Michael Petlan 2014-04-02 13:42:33 EDT
Tested with strace-4.8-7.

Switching to VERIFIED.
Comment 7 Ludek Smid 2014-06-13 09:04:05 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.